Page MenuHomePhabricator

[update_llc_test_checks] Support AVR
ClosedPublic

Authored by benshi001 on Jan 22 2021, 8:07 AM.

Details

Summary

Add AVR to update_llc_test_checks.py along with several tests.

Diff Detail

Event Timeline

benshi001 created this revision.Jan 22 2021, 8:07 AM
benshi001 requested review of this revision.Jan 22 2021, 8:07 AM
Herald added a project: Restricted Project. · View Herald TranscriptJan 22 2021, 8:07 AM

It might be worth adding a test in llvm/test/tools/UpdateTestChecks/update_llc_test_checks/ but I'd say that's not essential to land this patch.

llvm/test/CodeGen/AVR/neg.ll
14–15

These incorrect CHECK lines should be removed.

benshi001 updated this revision to Diff 318702.Jan 22 2021, 5:27 PM
benshi001 edited the summary of this revision. (Show Details)
benshi001 marked an inline comment as done.
MaskRay added inline comments.Jan 22 2021, 6:55 PM
llvm/test/tools/UpdateTestChecks/update_llc_test_checks/Inputs/avr_function_name.ll
4

Some existing files have such ; lines but they just editing the file harder. So they should be deleted.

benshi001 updated this revision to Diff 318718.Jan 22 2021, 7:24 PM
benshi001 marked an inline comment as done.

You missed a main test file in llvm/test/tools/UpdateTestChecks/update_llc_test_checks/ (and add a REQUIRES:)

benshi001 updated this revision to Diff 318798.Jan 23 2021, 5:37 PM

You missed a main test file in llvm/test/tools/UpdateTestChecks/update_llc_test_checks/ (and add a REQUIRES:)

Sorry. I forget to do "git add -A" for some files. Now they are all added. You are appreciated to help me review again. :)

arichardson added inline comments.Jan 25 2021, 11:38 AM
llvm/test/tools/UpdateTestChecks/update_llc_test_checks/Inputs/avr_generated_funcs.ll.generated.expected
1 ↗(On Diff #318798)

I'd say the avr_function_name.ll test is sufficient to show that the script works for AVR.

This test is not actually testing for any generated functions (I guess -enable-machine-outliner does nothing?)

benshi001 updated this revision to Diff 319179.Jan 25 2021, 6:01 PM
benshi001 marked an inline comment as done.

Done. The unnecessary tests are removed. Only the avr_function_name.ll is kept.

arichardson accepted this revision.Jan 26 2021, 1:15 AM
This revision is now accepted and ready to land.Jan 26 2021, 1:15 AM
This revision was automatically updated to reflect the committed changes.